<Container
  @value={{@value.data.container}}
  @deviceSize={{@deviceSize}}
  class="page-col-embedded-video use-highlights {{unless @value.data.source.url 'empty'}}"
  data-name={{@value.name}}
  data-gid={{@value.gid}}
  data-path="{{@path}}.data.container"
  ...attributes
>
  {{! template-lint-disable require-media-caption }}
  <video
    loop
    autoplay
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    data-editor="video-source"
    data-type="video"
    data-path="{{@path}}.data.source"
  >
    {{#if @value.data.source.url}}
      <source src={{@value.data.source.url}} type="video/mp4" />
    {{/if}}
  </video>
</Container>